Bug 84056 - Unable to play quake3 with XFree86-4.2.99.901-20030206.0 as user with a matrox mg400
Summary: Unable to play quake3 with XFree86-4.2.99.901-20030206.0 as user with a matro...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: phoebe
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-11 17:13 UTC by Dams
Modified: 2007-04-18 16:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-21 13:07:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree Configuration file. (3.07 KB, text/plain)
2003-02-12 09:16 UTC, Dams
no flags Details
XFree log for the user login. (215.95 KB, text/plain)
2003-02-12 09:18 UTC, Dams
no flags Details

Description Dams 2003-02-11 17:13:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:
When i'm logged as a user, i'm unable to play quake3. The screen just turns
black and nothing happened. When i run glxgears, the framerate seems good
(550FPS and more..) but the graphical opengl window seems to runs very slowly. I
dont have this problem when i'm logged as root.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. log as user.
2. glxgears 
3. Look at the window.    

Actual Results:  the movement of the wheels are not constant and seems to runs
slowly.

Expected Results:  The wheels should move very fast.

Additional info:

glxinfo says Direct Rendering is Yes.
The dri device seems good : 
crw-rw-rw-    1 root     root     226,   0 Feb 11 08:53 /dev/dri/card0

The lspci -vv output: 
01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 04)
(prog-if 00 [VGA])
  Subsystem: Matrox Graphics, Inc. Millennium G400 Dual Head 16Mb
  Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B-
  Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
  Latency: 64 (4000ns min, 8000ns max), cache line size 08
  Interrupt: pin A routed to IRQ 11
  Region 0: Memory at fa000000 (32-bit, prefetchable) [size=32M]
  Region 1: Memory at f9000000 (32-bit, non-prefetchable) [size=16K]
  Region 2: Memory at f8800000 (32-bit, non-prefetchable) [size=8M]
  Expansion ROM at f9ff0000 [disabled] [size=64K]
  Capabilities: [dc] Power Management version 2
      Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
      Status: D0 PME-Enable- DSel=0 DScale=0 PME-
  Capabilities: [f0] AGP version 2.0
      Status: RQ=31 SBA+ 64bit- FW- Rate=x1,x2,x4
      Command: RQ=31 SBA+ AGP+ 64bit- FW- Rate=x1

The monitor is Diamond Pro 2040u Mitsubishi.
Kernel is actually : 2.4.20-2.24 (same effects with 2.4.20-2.40) for i686
(Pentium3).
My user is an NIS user with an NFS mounted $HOME directory.
Feel free to ask more details.

Comment 1 Michael Fratoni 2003-02-12 01:18:05 UTC
Using the links to create an attachment, could you please post your 
config and log files?
(/etc/X11/XF86Config & /var/log/XFree86.0.log)

Comment 2 Dams 2003-02-12 09:16:17 UTC
Created attachment 90026 [details]
XFree Configuration file.

Comment 3 Dams 2003-02-12 09:18:16 UTC
Created attachment 90027 [details]
XFree log for the user login.

Comment 4 Dams 2003-02-12 10:48:57 UTC
Problem still exists with XFree86-4.2.99.901-20030209.1 and kernel 2.4.20-2.44.
However as glxgears seems to run normally _sometimes_ i'm still unable to play
q3, nor chromium.

Comment 5 Dams 2003-02-21 11:50:59 UTC
Phoebe3 has that bug. I've done a fresh install.

Comment 6 Dams 2003-02-21 13:07:15 UTC
I've pressed the "commit" button too fast. Even if glxgears still have behaviour
(imo), chromium and quake3 runs normally. 


Note You need to log in before you can comment on or make changes to this bug.